    {# order is important #}
    {%
        set searchable_objects, name, value = [
            { 'name': 'category',   'value': _category.id },
            { 'name': 'board',      'value': board.id },
            { 'name': 'thread',     'value': thread.id }
        ], null, null
    %}

    {% for item in searchable_objects if item.value %}
        {% set name, value = item.name, item.value %}
    {% endfor %}

    <form action="{{ search_link }}" method="get" class="compo">

        {% if value %}
            <input type="hidden" name="{{name}}" value="{{value}}"  />
        {% endif %}

        <input class="input" type="search" name="q" value="{{q|default()}}" /> <input class="submit" type="submit" value="{{ translate ( 'search_in' ) }} {{ translate ('in_' ~ name|default('forum'))}}" />
    </form>