    {% set types, type = {
                    'closed': thread.is_closed,
                    'pinned': thread.is_pinned,
                    'unread': not thread.read,
                    'read'  : thread.read, }, null
    %}

    {% for type_name, type_value in types if type_value %}
        {% set type = type ~ '-' ~ type_name %}
    {% endfor %}

    <div class="thread{{ not thread.read or thread.is_pinned ? ' unread' : '' }}">
        <img src="http://xtgem.com/images/forum/icons/thread{{type}}.png" alt="*" class="ico" />
        <a href="{{ url_from_search|default ( thread.link ~ '?__xtforum_posts_page=' ~ get_thread_page ( thread.replies ) ) }}" title="{{ thread.title }}"><span class="title">{{ thread.title }}</span></a>
        <small dir="ltr">({{thread.replies}})</small>

        {% set _online = get_online ( '/category_' ~ category.id ~ '/board_' ~ board.id ~ '/thread_' ~ thread.id  ) %}
        {% if _online > 0 %}
            <img src="http://xtgem.com/images/forum/icons/online.gif" alt="On: " class="ico" /><small>{{ _online }}</small>
        {% endif %}

        {% block extra %}{% endblock %}
    </div>