{% use "my_blocks.js" %}
        {% set view = 'board' %}
        {% set board = category.boards|first %}

        {{block('menu')}}
        {{block('breadcrumbs')}}
        {{block('messages')}}

        <div class="controls compo">
            {% if settings.allow_anonymous_posting or profile %}
                {# Create new thread #}
                <img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ board.new_thread_link }}">{{ translate ( 'start_new_thread' ) }}</a> &middot;
                {# Mark board as read #}
                <a href="{{ board.link }}?mark_read=1">{{ translate ( 'mark_board_as_read' ) }}</a>
            {% elseif account %}
                <img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ join_link }}" title="{{ translate ( 'join' ) }}" >{{ translate ( 'join_to_reply' ) }}</a>
            {% else %}
                <img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ login_link }}" title="{{ translate ( 'login' ) }}" rel="nofollow">{{ view == 'board' ? translate ( 'login_to_start_thread' ) : translate ( 'login_to_reply' ) }}</a>
            {% endif %}
        </div>

        {% if board and board.threads %}
            <div class="threads">
                {% for thread in board.threads %}
                    {{block('thread')}}
                {% endfor %}
            </div>
        {% else %}
            <div class="no_data"><b title="data not found">{{ translate ( 'no_threads_in_board' ) }}.</b></div>
        {% endif %}

        {{block('pagination')}}
        {{block('search')}}
        {{block('breadcrumbs')}}
        {{block('online')}}
