{% use "my_blocks.js" %}
        {% set view = 'thread' %}
        {% set board = category.boards|first %}
        {% set thread = board.threads|first %}

        {{block('menu.twig')}}
        {{block('breadcrumbs')}}
        {{block('messages')}}

        {% if invite_users_left %}
            <div class="alert info"><img src="http://xtgem.com/images/forum/icons/alert-info.png" alt="*" class="ico" /> {{ translate ( 'enter_friends_email_and_message' ) }}.</div>
            <form action="{{ invite_form_action }}" method="post" class="post new">
                <label>
                    {{ translate ( 'email' ) }}:<br />
                    <input class="input" type="text" name="email" value="{{ input.email }}">
                </label>
                <label>
                    {{ translate ( 'message_optional' ) }}:
                    <textarea name="invite_message">{{ input.invite_message }}</textarea>
                </label>
                <br /><input class="submit" type="submit" value="{{ translate ( 'send_invitation' ) }}">
            </form>
            <h1 class="custom">{{ translate ( 'email_preview' ) }}:</h1>
            <div class="email-preview">{{ invite_email|raw }}</div>
        {% else %}

            <div class="no_data"><b title="data not found">{{ translate ( 'friend_invitation_limit_reached' ) }}.</b></div>

        {% endif %}

        {{block('breadcrumbs')}}
        {{block('online')}}
