{% use "my_blocks.js" %}
        {{block('menu')}}
        {{block('messages')}}

        <form action="{{ join_link }}{% if redir %}?redir={{ redir }}{% endif %}" method="post" class="settings edit" enctype="multipart/form-data">

        {% if account.community.name %}
            <h1 title="{{ translate ( 'community_name' ) }}">{{ account.community.name }}</h1>
        {% endif %}
            <img src="{{ avatars [ 64 ] }}" alt="{{ translate ( 'avatar' ) }}" /> [ {{ translate ( 'avatar' ) }} ]
        <span>
            {{ translate ( 'your_avatar_optional' ) }}:<br />
            <input type="file" name="photo" />
        </span>
            <h1 title="{{ translate ( 'shown_to_community' ) }}">{{ translate ( 'shown_to_community' ) }}</h1>

            {% if not account.community.name %}
                <label>
                    {{ translate ( 'community_name' ) }}:<br />
                    <input type="text" name="community_name" value="{% if input.community_name %}{{ input.community_name }}{% elseif account.community.name %}{{ account.community.name }}{% else %}{{ gravatar_name }}{% endif %}" />
                </label>
            {% else %}
                {{ label }}
            {% endif %}

            <br /><input class="submit" type="submit" name="join" value="{{ translate ( 'join_community' ) }}" />

        </form>
        {{block('online')}}