{% use "my_blocks.js" %}
        {% if category.boards|length %}{% set board = category.boards|first %}{% endif %}
        {% if board.threads|length %}{% set thread = board.threads|first %}{% endif %}
        {{block('menu')}}

        {% set tail = translate ( 'search_results' ) %}
        {{block('breadcrumbs')}}

        {% for result in search_results %}
            {% if loop.first %}
                <div class="threads">
            {% endif %}

                {% set thread = result.thread %}
                {% set url_from_search = result.goto_link %}
                {{block('thread')}}

            {% if loop.last %}
                </div>
            {% endif %}
        {% else %}
            <div class="no_data"><b title="data not found">{{ translate ( 'search_no_results' ) }}</b></div>
        {% endfor %}

        {{block('pagination')}}
        {{block('search')}}
        {{block('breadcrumbs')}}
        {{block('online')}}